# Atlas Desktop installer

This project is an automated installer for the Atlas Desktop.

## Disclaimer

### ⚠ This is still a WIP project. Use at your own risk.

Some platforms may not yet be supported such as Nvidia graphic cards for which you'll have to install all the drivers yourself. Sadly I don't have any equipment to test that out.

Also you will very probably miss some software you're used to. I'll strongly recommend you to check the [Additionnal packages](https://hedgedoc.oblic-parallels.fr/s/JSR33pjd_#Additional-packages) section to know about some open source utilities that fit perfectly within the desktop. 
More generally give a look to the [Quick start guide](https://hedgedoc.oblic-parallels.fr/s/JSR33pjd_)

If something doesn't work or behaves anormally don't hesitate to contact me so that it will be fixed for future users.


## Requirements

You'll just need an already functional (even basic) **Arch Linux** system with `sudo` installed.
Setup will take care of configuring AppArmor and Zram if it hasn't been done yet.


## Usage

Very simple, clone the project (or download it directly from the web interface)
```sh=
git clone https://forge.oblic-parallels.fr/guillm/atlas-install
```
Make `setup.sh` executable
```sh=
chmod u+x setup.sh
```
And run it
```sh=
./setup.sh
```

That said I suggest you to give a look to the packages that will be installed on your system as it's important to know how things will work or to disable some things you wouldn't necessarely want.

## Future improvements

- Nvidia cards handling
- Cleaner way to enable/disable some packages / configuratuions